Subject: [Sigtran] Re: dynamically changing routing key

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 4 Feb 2002 04:08:11 -0600

Greg,

See threads "CIC Registration" and "RC registration was: cic registration"
from last October.  It was fairly much agreed that this capability would
be added to both M3UA and SUA.

--brian

Greg Sidebottom wrote:                            (Fri, 25 Jan 2002 16:33:32)
> Hi Brian, Narendar ...
> 
> Hopefully the list is working now   2:^(
> 
> I must be missing something - I don't see a Routing Context in the SUA REG
> REQ message (Section 3.8.1) so the procedures on Page 95 do not appear to
> line up with the message descriptions?    I would assume this RC would be
> put in a Key parameter (optionally) but it is not shown there either.  Also,
> I think it sounds weird that the "SG MAY adjust the Routing Key parameter".
> The SG is adjusting its internal Routing Key data, not the incoming RK
> parameter.
> 
> I think I remember some discussion of this capability (which seems generally
> reasonable to me) for M3UA on the list some time ago - does anyone remember
> whether this was agreed for M3UA before and I perhaps forgot to add it?  Or
> maybe it was an SUA discussion and we neglected to bring it over also to
> M3UA.  I'm looking through my archives to see if I can find anything - so
> far without success.
> 
> Cheers,
> 
>    Greg
> 
> ----- Original Message -----
> From: "Brian F. G. Bidulock" <[email-masked]>
> To: "sigtran" <[email-masked]>
> Sent: Friday, January 25, 2002 12:35 PM
> Subject: Re: dynamically changing routing key
> 
> 
> > Resend...
> >
> > Narendar,
> >
> > SUA-10 page 95:
> >
> >   An ASP MAY modify an existing Routing Key by including a Routing Context
> >   parameter in the REG REQ.  If the SGP determines that the Routing
> Context
> >   applies to an existing Routing Key, the SG MAY adjust the existing
> Routing
> >   Key parameter.  A Registration Response "Routing Context Registration
> >   Refused" is returned if the SGP deos not accept the modification of the
> >   Routing Key.
> >
> > It is clearly permitted for SUA.  M3UA, OTOH, does not include this
> paragraph.
> >
> > M3UA should include both the paragraph and the Error Code in support of
> > managing ISUP CICs on an live platform.  Even TALI (RFC 3094) supports
> this.
> > At present M3UA does not.
> >
> > --brian
> >
> > Narendar Goel wrote:                                     (Mon, 21 Jan 2002
> 08:48:59)
> > > Hi ,
> > >  Please clarify this issue.
> > >  Is it possible to change the routing key for a AS dynamically?
> > > On page 55 of SUA draft 10 error code "Routing Key Change Refused" is
> > > defined. But no such error code is defined for M3UA. If this error code
> is
> > > correct for SUA then in what situations SG can refuse routing key
> change? Is
> > > it implementation dependent ?
> > >
> > > Routing key change is required in some practical situation. For example
> AS
> > > handling traffic for certain set of mobile subscribers(IMSIs represented
> by
> > > GTT) may want to add or delete IMSIs at run time.
> > >
> > >  Thanks,
> > >
> > > Regards,
> > > Narender
> > >
> > >
> > >
> > > ---
> > > You are currently subscribed to sigtran as: [email-masked]
> > > To unsubscribe send a blank email to
> [email-masked]
> >
> > --
> > Brian F. G. Bidulock
> > [email-masked]
> > http://www.openss7.org/
> >
> >
> > ---
> > You are currently subscribed to sigtran as: [email-masked]
> > To unsubscribe send a blank email to
> [email-masked]
> 
> 
> 
> ---
> You are currently subscribed to sigtran as: [email-masked]
> To unsubscribe send a blank email to [email-masked]

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran